Bug 1620287 - Service Dialog Create - TextArea Entry Point not displaying correct text
Summary: Service Dialog Create - TextArea Entry Point not displaying correct text
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: All
OS: Linux
unspecified
low
Target Milestone: GA
: 5.10.0
Assignee: Roman Blanco
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-22 21:21 UTC by ecrosby
Modified: 2019-02-07 23:03 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:43 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:50 UTC

Description ecrosby 2018-08-22 21:21:18 UTC
Description of problem:
When creating a service dialog with a Dynamic Text Area, The Entry Point does not display the instance choosen. For example, if you select "RedHat/Integration/ServiceNow/CMDB/Create", the Entry Point only shows "Integration/ServiceNow".


How reproducible:
Consistently on multiple systems (all systems were cfme-5.9.3.4-1.el7cf.x86_64)

Comment 2 dmetzger 2018-08-23 14:52:21 UTC
Is this a display only (truncated path shown) or is functionality also broken?

Comment 3 ecrosby 2018-08-23 15:03:11 UTC
Display only, Correct Instance still runs!

Comment 5 Roman Blanco 2018-08-27 13:17:45 UTC
fixed in https://github.com/ManageIQ/ui-components/pull/340

Comment 6 CFME Bot 2018-09-03 08:38:33 UTC
New commit detected on ManageIQ/ui-components/master:

https://github.com/ManageIQ/ui-components/commit/e74152de23889ca1586d2db7f12b0a61415a61db
commit e74152de23889ca1586d2db7f12b0a61415a61db
Author:     Roman Blanco <rblanco@redhat.com>
AuthorDate: Mon Aug 27 09:15:23 2018 -0400
Commit:     Roman Blanco <rblanco@redhat.com>
CommitDate: Mon Aug 27 09:15:23 2018 -0400

    Display complete instance entry point name

    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1620287

 src/dialog-editor/components/modal-field-template/text-area-box.html | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 7 Niyaz Akhtar Ansari 2018-10-08 06:44:33 UTC
Verified in Version 5.10.0.18.20181003162715_dfcff5a

Comment 8 errata-xmlrpc 2019-02-07 23:03:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.